{% extends 'form.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle 'Modification du connecteur Lsmessage' %}

{% block pageActions %}
    {{ macro.backButton('connector_index') }}
{% endblock %}

{% block pageForm %}
    {{ form_start(form) }}

    {{ form_row(form.url) }}
    {{ form_row(form.apiKey) }}

    <div id="statusLsmessage" class="alert alert-info" data-url-check="{{ path("lsmessage_connector_check") }}">
        Vérification de la configuration du connecteur
    </div>

    {{ form_widget(form) }}
    <div class="float-end">
        {% block pageSaveReturn %}{{ macro.save('connector_index', {}, 'Enregistrer', 'fa fa-save') }}{% endblock %}
    </div>
    {{ form_end(form) }}
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('countCharacters') }}
{% endblock %}
